# This code is copyrighted by Stephan Richter in August, 2000.
# This code is copyrighted by iuveno AG in January, 2001.
#
# written by Stephan Richter
# Last updated: August 3, 2001

__doc__='''
  DBObjects - A flexible R2O-mapping framework for Zope

  Copyright by iuveno AG, Stephan Richter and bluedynamics.com in 2001.
'''

# import the classes that will be available to the programmer
from DBObject                    import DBObject
from FolderishDBObject           import FolderishDBObject
from DBObjectFolder              import DBObjectFolder
from DBObjectRoleSupport         import DBObjectRoleSupport
from DBObjectUndoSupport         import DBObjectUndoSupport
from DBObjectXMLRPCSupport       import DBObjectXMLRPCSupport
from DBObjectSQLContainerSupport import DBObjectSQLContainerSupport
from QueryObjectFolder           import QueryObjectFolder
from Zope                        import ZopeFolder
from DBTable                     import DBTable, DBAttribute
import Support
from General                     import registerProduct
import General


import DemoObject


def initialize(context):
    context.registerClass(
        DemoObject.DemoObjectFolder, 
        constructors=(DemoObject.manage_addDemoObjectFolderForm,
                      DemoObject.manage_addDemoObjectFolder),
        icon='Icons/projectFolder.gif',
        )


# load all the icons automatically
import os
from Globals import package_home, ImageFile
misc_ = {}
path = os.path.join(package_home(globals()), 'Icons/')

for file in os.listdir(path):
    if file[-3:] == 'gif':
        misc_[file[:-4]] = ImageFile('Icons/%s' %file, globals())
